/** @file
  AsmReadGprA function

  Copyright (c) 2015-2021, ASSET InterTech Inc. All rights reserved.<BR>
  
  This program and the accompanying materials
  are licensed and made available under the terms and conditions of the BSD License
  which accompanies this distribution.  The full text of the license may be found at
  http://opensource.org/licenses/bsd-license.php.

  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

**/




/**
  Reads the current value of the General Purpose Register A.

  Reads and returns the current value of GPR-A. This function is only available
  on IA-32 and x64. This returns a 32-bit value on IA-32 and a 64-bit value on
  x64.

  @return The value of the General Purpose Register A.

**/
UINTN
EFIAPI
AsmReadGprA (
  VOID
  )
{
  __asm {
    mov     eax, eax
  }
}
