/** @file
  AsmReadGprA function

  Copyright (c) 2015-2021, ASSET InterTech Inc. All rights reserved.<BR>
  
  This program and the accompanying materials
  are licensed and made available under the terms and conditions of the BSD License
  which accompanies this distribution.  The full text of the license may be found at
  http://opensource.org/licenses/bsd-license.php.

  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

**/




/**
  Returns a 64-bit Instruction Pointer.

  Places the required RIP into the RAX register
  This function is only available on IA-32 and x64.

  @return The value of Instruction Pointer.

**/
UINTN
EFIAPI
AsmReadRip (
	VOID
	)
{
  _asm {
    mov     eax, dword ptr [esp]
  }
}
